/******************** (C) COPYRIGHT 2003 STMicroelectronics ********************
* File Name          : main.c
* Author             : MCD Application Team
* Date First Issued  : 16/05/2003
* Description        : GPIO library example
********************************************************************************
* History:
* 24/05/05 : V3.0
* 30/11/04 : V2.0
* 16/05/03 : Created
*******************************************************************************
 THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS WITH
 CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
 AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
 OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT
 OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION
 CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/

#include "71x_lib.h"


void delay(void)
{
  u16 i;
  for(i=0; i<0xFFFF; i++); /* delay */
}

int main(void)
{
 
  #ifdef DEBUG
  debug();
  #endif

/*   Configure P1.4-6 - P1.8-10 as Output Push-Pull */
  GPIO_Config(GPIO1, 0x0770, GPIO_OUT_PP);



/*   Configure P0.0-1 as Output Push-Pull */
  GPIO_Config(GPIO0, 0x0003, GPIO_OUT_PP);


  GPIO_WordWrite(GPIO1, 0xF88F);
  // GPIO_BitWrite(GPIO0, 0,0); 

  /*  infinite loop */
  while(1)

  {

delay();


/*  Toggle the GPIO0 port pins */
       GPIO_WordWrite(GPIO1, ~GPIO_WordRead(GPIO1));
/*  Toggle the GPIO0 port pins */
//       GPIO_WordWrite(GPIO0, ~GPIO_WordRead(GPIO0));
  }

}

/******************* (C) COPYRIGHT 2003 STMicroelectronics *****END OF FILE****/
