/******************** (C) COPYRIGHT 2003 STMicroelectronics ********************
* File Name          : main.c
* Author             : MCD Application Team
* Date First Issued  : 18/06/2003
* Description        : EMI library example
*                      This program is loaded then executed from the external
*                      memory, thanks to the 71x_init.s start-up file.
********************************************************************************
* History:
*  18/06/2003 : creation
*  30/11/2004 : V1.4
*******************************************************************************
 THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS WITH
 CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
 AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
 OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT
 OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION
 CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/

#include "71x_lib.h"

void delay(void)
{
  u16 i;
  for(i=0; i<0xFFFF; i++); //delay
}

int main(void)
{
  #ifdef DEBUG
  debug();
  #endif

  // Configure GPIO0 as PP_OUT
  GPIO0->PC0|=0xFFFF;
  GPIO0->PC1&=0x0000;
  GPIO0->PC2|=0xFFFF;

  // Set all GPIO0 pins low
  GPIO0->PD=0x0000;

  while(1) // infinite loop
  {
    delay();
    GPIO0->PD=~GPIO0->PD; // Toggle GPIO2 pins
  }
}

/******************* (C) COPYRIGHT 2003 STMicroelectronics *****END OF FILE****/
