/******************** (C) COPYRIGHT 2003 STMicroelectronics ********************
* File Name          : main.c
* Author             : MCD Application Team
* Date First Issued  : 16/05/2003
* Description        : This file contains a basic example of the use of the
*                      Flash software Library.
********************************************************************************
* History:
* 24/05/05 : V3.0
* 30/11/04 : V2.0
* 16/05/03 : Created
*******************************************************************************
 THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS WITH
 CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
 AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
 OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT
 OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION
 CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/

#include "71x_lib.h"

int main(void)
{
  #ifdef DEBUG
  debug();
  #endif
  
  /*  Initialize the FLASH */
  FLASH_Init () ;

  /*  Disable the FLASH protection on Bank 1 sector 0 */
  //FLASH_WritePrConfig (FLASH_B1F0,DISABLE) ;

  /*  Disable the FLASH protection on Bank 1 sector 0 */
  FLASH_SectorErase (FLASH_B1F0) ;

  /*  Write  0x12345678 to Bank 1 sector 0 */
  FLASH_WordWrite (0x000c0000,0x12345678) ;

  /* Warning!! : The write protection can be enabled only on a permanent way */

  /*  Enable the FLASH protection on Bank 1 sector 0 */
  /*  FLASH_WritePrConfig (FLASH_B1F0,ENABLE) ; */

  while(1);
}
/*******************(C)COPYRIGHT 2003 STMicroelectronics *****END OF FILE****/
